package com.brilliance.isc.esb.factory;

import com.brilliance.isc.esb.compiler.JavaFileObjectFromString;

import javax.tools.*;

public class TaskExecutorFactory {

    void builder(){
        JavaCompiler javaCompiler= ToolProvider.getSystemJavaCompiler();
        DiagnosticCollector<JavaFileObject> diagnosticCollector=new DiagnosticCollector<>();
        StandardJavaFileManager fileManager=javaCompiler.getStandardFileManager(diagnosticCollector,null,null);
        String code="";
        JavaFileObject fileObject= new JavaFileObjectFromString("DynamicXxljob",code);
    }
}
